<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>DMA Driver Error Codes</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">DMA Driver Error Codes</div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all the error codes which are generated by the DMA Driver module.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga32ff5d0b2d5281f833186c994be829af"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga32ff5d0b2d5281f833186c994be829af"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___d_m_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga32ff5d0b2d5281f833186c994be829af">DMA_EINVAL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_DMA_BASE-1)</td></tr>
<tr class="memdesc:ga32ff5d0b2d5281f833186c994be829af"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Invalid argument. <br /></td></tr>
<tr class="separator:ga32ff5d0b2d5281f833186c994be829af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf9f9207b61739ad54377030737b54f53"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaf9f9207b61739ad54377030737b54f53"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___d_m_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#gaf9f9207b61739ad54377030737b54f53">DMA_ENOINIT</a>&#160;&#160;&#160;(MMWAVE_ERRNO_DMA_BASE-2)</td></tr>
<tr class="memdesc:gaf9f9207b61739ad54377030737b54f53"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Operation cannot be done as DMA_init is not done. <br /></td></tr>
<tr class="separator:gaf9f9207b61739ad54377030737b54f53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3320f37aeed2cf98e01df86f1237f340"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga3320f37aeed2cf98e01df86f1237f340"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___d_m_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga3320f37aeed2cf98e01df86f1237f340">DMA_EOUTOFRANGE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_DMA_BASE-3)</td></tr>
<tr class="memdesc:ga3320f37aeed2cf98e01df86f1237f340"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: input argument out of range. <br /></td></tr>
<tr class="separator:ga3320f37aeed2cf98e01df86f1237f340"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacd57e7900a0dba3c380760d8018ab90b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gacd57e7900a0dba3c380760d8018ab90b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___d_m_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#gacd57e7900a0dba3c380760d8018ab90b">DMA_EOUTOFMEM</a>&#160;&#160;&#160;(MMWAVE_ERRNO_DMA_BASE-4)</td></tr>
<tr class="memdesc:gacd57e7900a0dba3c380760d8018ab90b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: input argument out of range. <br /></td></tr>
<tr class="separator:gacd57e7900a0dba3c380760d8018ab90b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga99dd9ed79f361745b085cfddc1001fa8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga99dd9ed79f361745b085cfddc1001fa8"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___d_m_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga99dd9ed79f361745b085cfddc1001fa8">DMA_ENOTSUPP</a>&#160;&#160;&#160;(MMWAVE_ERRNO_DMA_BASE-5)</td></tr>
<tr class="memdesc:ga99dd9ed79f361745b085cfddc1001fa8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: feature not supported. <br /></td></tr>
<tr class="separator:ga99dd9ed79f361745b085cfddc1001fa8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf143a2a7ecf7ce75467d83bff6051ab0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaf143a2a7ecf7ce75467d83bff6051ab0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___d_m_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#gaf143a2a7ecf7ce75467d83bff6051ab0">DMA_EINUSE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_DMA_BASE-6)</td></tr>
<tr class="memdesc:gaf143a2a7ecf7ce75467d83bff6051ab0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: channel or resource in use. <br /></td></tr>
<tr class="separator:gaf143a2a7ecf7ce75467d83bff6051ab0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga26f4a2967ba089ae0daa3c6d00206a47"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga26f4a2967ba089ae0daa3c6d00206a47"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___d_m_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga26f4a2967ba089ae0daa3c6d00206a47">DMA_ENOTALIGNED</a>&#160;&#160;&#160;(MMWAVE_ERRNO_DMA_BASE-7)</td></tr>
<tr class="memdesc:ga26f4a2967ba089ae0daa3c6d00206a47"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: channel or resource in use. <br /></td></tr>
<tr class="separator:ga26f4a2967ba089ae0daa3c6d00206a47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabf8fcac8f9bc683059c4fb16699fcc0f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gabf8fcac8f9bc683059c4fb16699fcc0f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___d_m_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#gabf8fcac8f9bc683059c4fb16699fcc0f">DMA_EPOLLINGNOTALLOWED</a>&#160;&#160;&#160;(MMWAVE_ERRNO_DMA_BASE-8)</td></tr>
<tr class="memdesc:gabf8fcac8f9bc683059c4fb16699fcc0f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Polling and Interrupts are mutually exclusive. <br /></td></tr>
<tr class="separator:gabf8fcac8f9bc683059c4fb16699fcc0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all the error codes which are generated by the DMA Driver module. </p>
<p>Base error code for the DMA module is defined in the ti/common/mmwave_error.h.</p>
<div class="fragment"><div class="line"></div><div class="line"><span class="preprocessor">#ifndef MMWAVE_ERROR_H</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERROR_H</span></div><div class="line"></div><div class="line"><span class="comment">/**************************************************************************</span></div><div class="line"><span class="comment"> * Base Error Code for the mmWave modules</span></div><div class="line"><span class="comment"> **************************************************************************/</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_UART_BASE               (-2000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRC_BASE                (-2100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_MAILBOX_BASE            (-2200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_PINMUX_BASE             (-2300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ADCBUF_BASE             (-2400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ESM_BASE                (-2500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SPI_BASE                (-2600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_DMA_BASE                (-2700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HWA_BASE                (-2800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SOC_BASE                (-2900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_EDMA_BASE               (-3000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_BASE                    (-3100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CSI_BASE                (-3200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CBUFF_BASE              (-3300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CAN_BASE                (-3400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CANFD_BASE              (-3500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPI_BASE               (-3600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPIFLASH_BASE          (-3700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_I2C_BASE                (-3800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_WATCHDOG_BASE           (-3900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HSI_HDR_BASE            (-4000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRYPTO_BASE             (-4100)</span></div><div class="line"></div><div class="line"><span class="preprocessor">#endif  </span><span class="comment">/* MMWAVE_ERROR_H */</span><span class="preprocessor"></span></div><div class="line"></div></div><!-- fragment --> </div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
